﻿@using System.Web.UI.WebControls
@using Portal.Models.Globals;


<table border="0" style="width:100%">
    <tr>
        <td style="width:80px">
            @Html.DevExpress().Label(
                Lbl => {
                    Lbl.Text = "Supplier Code"; 
                }
            ).GetHtml()
        </td>
        <td style="width:340px">
            @Html.Common().DevExpress().GridLookup(
                Grl => {
                    Grl.Name = "grlSupplier";
                    Grl.Width = 68;
                    Grl.ShowDescription = true;
                    Grl.DescriptionWidth = Unit.Pixel(240);
                    Grl.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    Grl.GridProperties.CallbackRouteValues = new { Controller = "SupplierPerformance", Action = "GridLookupSupplier" };
                    Grl.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    if (Model.GetModel<List<SupplierICS>>().Count == 1) 
                        {
                            Grl.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                            Grl.ShowDescriptionText = Model.GetModel<List<SupplierICS>>()[0].SUPP_NAME;
                        }
                    
                    Grl.GridProperties.Columns.Add(
                        Clm => {
                            Clm.Name = "SUPP_CD";
                            Clm.FieldName = "SUPP_CD";
                            Clm.Caption = "Supplier<br />Code";
                            Clm.Width = Unit.Pixel(80);
                            Clm.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    Grl.GridProperties.Columns.Add(
                        Clm => {
                            Clm.Name = "SUPP_NAME";
                            Clm.FieldName = "SUPP_NAME";
                            Clm.Caption = "Supplier Name";
                            Clm.Width = Unit.Pixel(320);
                            Clm.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("SupplierPerformance", "grlSupplier");

                    switch (auth)
                    {
                        case 0:
                            Grl.ReadOnly = true;
                            break;
                        case 1:
                            Grl.ReadOnly = true;
                            break;
                        case 2:
                            Grl.ReadOnly = false;
                            break;
                        default:
                            Grl.ReadOnly = false;
                            break;
                    }
            }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
        <td style="width:75px">
            @Html.DevExpress().Label(
                Lbl =>
                {
                    Lbl.Text = "Prod. Month";
                }
            ).GetHtml()
        </td>
        <td style="width:120px">
            <input type="text" id="TxtProdMonth" name="TxtProdMonth" class="mtz-monthpicker-widgetcontainer" style="width:115px; font-size:small;" />
        </td>
        <td style="width:20px">
            @Html.DevExpress().Label(
                Lbl =>
                {
                    Lbl.Text = "To";
                }
            ).GetHtml()
        </td>
        <td style="width:150px">
            <input type="text" id="TxtProdMonthTo" name="TxtProdMonthTo" class="mtz-monthpicker-widgetcontainer" style="width:115px; font-size:small;" />
        </td>
       @* <td style="width:85px">
            @Html.DevExpress().Label(
                Lbl =>
                {
                    Lbl.Text = "Receiving Area";
                }
            ).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlDock";
                        s.GridProperties.KeyFieldName = "PlantCode";
                        s.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(180);
                        s.GridProperties.CallbackRouteValues = new { Controller = "SupplierPerformance", Action = "DockCodePartial" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "PlantCode";
                            c.FieldName = "PlantCode";
                            c.Caption = "Plant Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "PlantName";
                            c.FieldName = "PlantName";
                            c.Caption = "Plant Name";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                    }
            ).Bind(ViewData["DockCode"]).GetHtml() 
        </td>*@
        <td></td>
    </tr>
    <tr >
        <td colspan="9">
            <table border="0" style="padding-top:10px; width:100%;">
                <tr>
                    <td style="width:40px;">
                        @Html.DevExpress().Label(
                            Lbl =>
                            {
                                Lbl.Name = "lblUpload";
                                Lbl.Text = "Upload";
                            }
                        ).GetHtml()
                    </td>
                    <td style="width:180px;">
                        @using (Html.BeginForm("DownloadCallback", "SupplierPerformance", FormMethod.Post, new { enctype = "multipart/form-data" }))
                        { 
                            @Html.DevExpress().UploadControl(u =>
                           {
                               u.Name = "SPUpload";
                               u.BrowseButton.Text = "Browse";
                               u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                               u.ShowAddRemoveButtons = false;
                               u.Width = Unit.Pixel(355);

                               u.ValidationSettings.MaxFileSize = 10000000;
                               u.ValidationSettings.AllowedFileExtensions = new string[] { ".csv", ".zip" };
                               u.ValidationSettings.ShowErrors = true;

                               u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                               u.ValidationSettings.NotAllowedFileExtensionErrorText = "PrCSV only";

                               u.CallbackRouteValues = new { Controller = "SupplierPerformance", Action = "OnUploadCallbackRouteValues" };
                               
                               u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";
                               //u.ClientSideEvents.Init = "OnUploadInit";
                               u.ShowProgressPanel = false;
                              

                               // authorization code
                               int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "LivUpload");

                               /*
                               switch (auth)
                               {
                                   case 0:
                                       u.ClientVisible = false;
                                       break;
                                   case 1:
                                       u.Enabled = false;
                                       break;
                                   case 2:
                                       u.ClientVisible = true;
                                       u.Enabled = true;
                                       break;
                                   default:
                                       u.ClientVisible = true;
                                       u.Enabled = true;
                                       break;
                               }
                               */
                           }).GetHtml()
                        }
                    </td>
                    <td style="width:80px;">
                        @Html.DevExpress().Button(
                            Btn =>
                            {
                                Btn.Name = "BtnUpload";
                                Btn.Text = "Upload";
                                Btn.Width = Unit.Pixel(80);
                                Btn.ClientSideEvents.Click = "OnClickUpload";
                                //Btn.ClientEnabled = false;
                            }
                        ).GetHtml()
                    </td>
                    <td style="width:120px; vertical-align:bottom;">
                        @Html.DevExpress().HyperLink(
                            Lnk =>
                            {
                                Lnk.Name = "LnkDownloadTemplate";
                                Lnk.Properties.Text = "Download Template";
                                Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                Lnk.Properties.Style.Font.Underline = true;
                                Lnk.ControlStyle.Cursor = "pointer";
                                Lnk.Properties.ClientSideEvents.Click = "OnClickDownloadTemplate";
                            }
                        ).GetHtml()
                    </td>

                    <td></td>

                    <td style="width:80px;">
                        @Html.DevExpress().Button(
                            Btn =>
                            {
                                Btn.Name = "BtnSearch";
                                Btn.Text = "Search";
                                Btn.Width = Unit.Pixel(80);
                                Btn.ClientSideEvents.Click = "OnSearch";
                            }
                        ).GetHtml()
                    </td>
                    <td style="width:80px;">
                        @Html.DevExpress().Button(
                            Btn =>
                            {
                                Btn.Name = "BtnClear";
                                Btn.Text = "Clear";
                                Btn.Width = Unit.Pixel(80);
                                Btn.ClientSideEvents.Click = "OnClear";
                            }
                        ).GetHtml()
                    </td>

                </tr>
            </table>
        </td>
    </tr>
</table>